* {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

body {
    font-family: $font-text;
    color: $color-text;
}

header {
    margin: $header-margin;
    .logo {
        // base style, won't change
        text-indent: -99999px;
        background: url(../media/logo-painfrais.svg) no-repeat;
        background-position: center;
        // variable styles, change acording to size
        width: $header-logo-width;
        height: $header-logo-height;
        margin: $header-logo-margin;
        background-size: $header-logo-background-size;
    }
}

.menu {
    padding: $header-menu-padding;
    background-color: $color-beige;
    // border: 2px solid $color-beige;
    ul {
        list-style: none;
        margin: 0;
        padding: 0;
        text-align: center;
        white-space: nowrap;
        overflow-x: scroll;
        li {
            display: inline-block;
            line-height: 14px;
            margin: $header-menu-item-margin;
            font-size: $header-menu-item-font-size;
            &:first-child {
                margin-left: 0;
            }
            &:last-child {
                margin-right: 0;
            }
            a {
                font-family: $font-link;
                color: $color-text;
                text-decoration: none;
                padding: $header-menu-item-padding;
                &.facebook {
                    background: url(../media/logo-facebook.svg) no-repeat;
                    background-size: 24px;
                }
                &.instagram {
                    background: url(../media/logo-instagram.svg) no-repeat;
                    background-size: 24px;
                }
                &.facebook,
                &.instagram {
                    display: inline-block;
                    text-indent: -99999px;
                    width: 24px;
                }
            }
        }
    }
}

.boxed {
    float: left;
    height: $boxed-height;
    margin: $boxed-margin-top 0 $boxed-margin-top $boxed-margin-left;
    background-position: center center;
    background-repeat: no-repeat;
    background-size: cover;
    &.img {
        width: $boxed-width - $boxed-margin-left;
        background-color: $color-brown;
        text-indent: -99999px;
    }
    &.text {
        width: $boxed-width * 2;
        background-color: $color-ivory;
        h2 {
            font-family: $font-link;
            text-align: center;
            margin: 20px auto;
            padding: 0;
            span {
                display: inline-block;
                border-bottom: 2px solid $color-beige;
                padding-bottom: 10px;
            }
        }
        p {
            margin: 0 10%;
            line-height: 1.5em;
        }
    }
    &.one {
        background-image: url(../media/img-box1.png);
        height: ($boxed-height*2) + ($boxed-margin-top*2);
    }
    &.two {
        background-image: url(../media/img-box2.jpg);
    }
    &.three {
        background-image: url(../media/img-box3.jpg);
    }
    &.four {
        background-image: url(../media/img-box4.jpg);
        margin-left: 0;
    }
    &.five {
        width: 100%;
        margin: 0;
        background-image: url(../media/img-box5.jpg);
        color: $color-white;
        text-shadow: 0 0 20px rgba(0, 0, 0, 0.4);
        box-shadow: inset 0px 0px 330px 0px rgba(0, 0, 0, 0.6);
    }
    &.six {
        background-image: url(../media/img-box6.jpg);
    }
}

.featured,
.about,
.events,
.stores,
.contact {
    overflow: auto;
    margin: 20px auto;
}

.featured {
    .boxed {
        &:first-child {
            margin-left: 0;
        }
    }
}

.about {
    .boxed {
        &.four {}
    }
}

.events {
    .boxed {
        &.five {}
    }
}

.stores {
    .boxed {
        &.text {
            margin-left: 0;
        }
        p {
            & > span {
                float: left;
                width: 45%;
                &:first-child {
                    margin-right: 10%;
                }
                &:last-child {}
                & > strong {
                    font-size: 1.3em;
                }
            }
        }
    }
}

.contact {
    .boxed {
        width: 100% !important;
        margin: 0;
        height: auto;
        form {
            margin: 10px 10% 20px;
            line-height: 1.5em;
            overflow: auto;
        }
        div {
            float: left;
            width: 45%;
            &:first-child {
                margin-right: 10%;
            }
            input,
            textarea {
                width: 100%;
                margin: 10px 0;
                padding: 10px;
                font-size: 1.3em;
                font-family: $font-text;
                -webkit-appearance: none;
                -moz-appearance: none;
                appearance: none;
                resize: none;
                border: 1px solid $color-beige;
                &:focus,
                &:active {
                    border: 2px solid darken($color-beige, 10%);
                    box-shadow: none;
                    outline: none;
                }
            }
            input {
                height: $input-height;
                &[type="submit"] {
                    background-color: $color-beige;
                    &:hover {
                        cursor: pointer;
                        background-color: darken($color-beige, 10%);
                    }
                    &:active {
                        background-color: $color-ivory;
                    }
                }
            }
            textarea {
                height: ($input-height*3)+($input-margin-vert*4);
            }
        }
    }
}

footer {
    background-color: $color-beige;
    overflow: auto;
    .col {
        float: left;
        width: (100% / 6) - 2;
        // width: 13.3%;
        margin: 0 2%;
        &:first-child {
            margin-left: 0;
        }
        &:last-child {
            margin-right: 0;
        }
    }
}
